org.richfaces.fragment.panelMenu

## Class AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions

- java.lang.Object
- - org.richfaces.fragment.panelMenu.AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Direct Known Subclasses:
    RichFacesPanelMenu.AdvancedPanelMenuInteractions, RichFacesPanelMenuGroup.AdvancedPanelMenuGroupInteractions
  Enclosing class:
    AbstractPanelMenu

      public abstract class AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions
      extends Object
      implements VisibleComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Event` | `getCollapseEvent()`
    `protected String` | `getCssCollapsedSuffix()`
    `protected String` | `getCssDisabledSuffix()`
    `protected String` | `getCssExpandedSuffix()`
    `protected String` | `getCssHoveredSuffix()`
    `protected String` | `getCssSelectedSuffix()`
    `protected String` | `getCssTransparentSuffix()`
    `protected Event` | `getExpandEvent()`
    `protected String` | `getHeaderSelectorToInovkeEventOn()`
    `protected abstract org.openqa.selenium.WebElement` | `getRootElement()`
    `long` | `getTimeoutForMenuGroupToBeCollapsed()`
    `long` | `getTimoutForMenuGroupToBeExpanded()`
    `boolean` | `isGroupExpanded(org.openqa.selenium.WebElement groupRoot)`
    `boolean` | `isVisible()`
    `void` | `setCollapseEvent(Event event)`
    `void` | `setExpandEvent(Event event)`
    `void` | `setTimeoutForMenuGroupToBeCollapsed(long timeoutInMilliseconds)`
    `void` | `setTimoutForMenuGroupToBeExpanded(long timeoutInMilliseconds)`
    `WaitingWrapper` | `waitUntilMenuGroupCollapsed(org.openqa.selenium.WebElement groupHeader)`
    `WaitingWrapper` | `waitUntilMenuGroupExpanded(org.openqa.selenium.WebElement groupHeader)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions

          public AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions()

  - ### Method Detail

    - #### getHeaderSelectorToInovkeEventOn

          protected String getHeaderSelectorToInovkeEventOn()

    - #### getCssExpandedSuffix

          protected String getCssExpandedSuffix()

    - #### getCssTransparentSuffix

          protected String getCssTransparentSuffix()

    - #### getCssSelectedSuffix

          protected String getCssSelectedSuffix()

    - #### getCssHoveredSuffix

          protected String getCssHoveredSuffix()

    - #### getCssDisabledSuffix

          protected String getCssDisabledSuffix()

    - #### getCssCollapsedSuffix

          protected String getCssCollapsedSuffix()

    - #### getExpandEvent

          protected Event getExpandEvent()

    - #### getCollapseEvent

          protected Event getCollapseEvent()

    - #### setExpandEvent

          public void setExpandEvent(Event event)

    - #### setCollapseEvent

          public void setCollapseEvent(Event event)

    - #### isGroupExpanded

          public boolean isGroupExpanded(org.openqa.selenium.WebElement groupRoot)

    - #### waitUntilMenuGroupExpanded

          public WaitingWrapper waitUntilMenuGroupExpanded(org.openqa.selenium.WebElement groupHeader)

    - #### waitUntilMenuGroupCollapsed

          public WaitingWrapper waitUntilMenuGroupCollapsed(org.openqa.selenium.WebElement groupHeader)

    - #### setTimoutForMenuGroupToBeExpanded

          public void setTimoutForMenuGroupToBeExpanded(long timeoutInMilliseconds)

    - #### getTimoutForMenuGroupToBeExpanded

          public long getTimoutForMenuGroupToBeExpanded()

    - #### setTimeoutForMenuGroupToBeCollapsed

          public void setTimeoutForMenuGroupToBeCollapsed(long timeoutInMilliseconds)

    - #### getTimeoutForMenuGroupToBeCollapsed

          public long getTimeoutForMenuGroupToBeCollapsed()

    - #### getRootElement

          protected abstract org.openqa.selenium.WebElement getRootElement()

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `VisibleComponentInteractions`

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.